# \Thelia\Controller\FrontCustomerController

The defaut administration controller. Basically, display the login form if user is not yet logged in, or back-office home page if the user is logged in.

## Summary

Methods
Properties
Constants
createAction()
displayCreateAction()
loginAction()
processLogin()
getDispatcher()
redirect()
No public properties found
No constants found
nullResponse()
dispatchEvent()
dispatch()
getParserContext()
getSecurityContext()
getRequest()
getSession()
validateForm()
redirectSuccess()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Controller/Front/CustomerController.php
Package
  \Default
Class hierarchy
  \Symfony\Component\DependencyInjection\ContainerAware
  \Thelia\Controller\BaseController
  \Thelia\Controller\Front\BaseFrontController
  \Thelia\Controller\Front\CustomerController

## Tags

None found

## Methods

### createAction()

    createAction()

#

## Tags

None found

### displayCreateAction()

    displayCreateAction()

#

## Tags

None found

### loginAction()

    loginAction()

#

## Tags

None found

### processLogin()

    processLogin(\Thelia\Model\Customer $customer,  $event,  $sendLogin)

#### Parameters

\Thelia\Model\Customer | $customer |
| $event |
| $sendLogin |

#

## Tags

None found

### getDispatcher()

    getDispatcher() : \Symfony\Component\EventDispatcher\EventDispatcher

Return the event dispatcher,

#### Returns

\Symfony\Component\EventDispatcher\EventDispatcher

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### redirect()

    redirect(string $url)

redirect request to specify url

#### Parameters

string | $url |

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### nullResponse()

    nullResponse()

Return an empty response (after an ajax request, for example)

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### dispatchEvent()

    dispatchEvent(string $action) : \Symfony\Component\EventDispatcher\EventDispatcher

Create an action event

#### Parameters

string | $action |

#### Returns

\Symfony\Component\EventDispatcher\EventDispatcher

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### dispatch()

    dispatch(string $eventName, \Thelia\Core\Event\ActionEvent $event)

Dispatch a Thelia event to modules

#### Parameters

string | $eventName | a TheliaEvent name, as defined in TheliaEvents class
\Thelia\Core\Event\ActionEvent | $event | the event

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### getParserContext()

    getParserContext() : \Thelia\Core\Template\ParserContext

Return the parser context,

#### Returns

\Thelia\Core\Template\ParserContext

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### getSecurityContext()

    getSecurityContext( $context) : \Thelia\Core\Security\SecurityContext

Return the security context, by default in admin mode.

#### Parameters

| $context |

#### Returns

\Thelia\Core\Security\SecurityContext

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### getRequest()

    getRequest() : \Symfony\Component\HttpFoundation\Request

#### Returns

\Symfony\Component\HttpFoundation\Request

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### getSession()

    getSession() : \Symfony\Component\HttpFoundation\Session\SessionInterface

Returns the session from the current request

#### Returns

\Symfony\Component\HttpFoundation\Session\SessionInterface

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### validateForm()

    validateForm(\Thelia\Form\BaseForm $aBaseForm, string $expectedMethod) : \Symfony\Component\Form\Form

Validate a BaseForm

#### Parameters

\Thelia\Form\BaseForm | $aBaseForm | the form
string | $expectedMethod | the expected method, POST or GET, or null for any of them

#### Throws

\Thelia\Form\Exception\FormValidationException

  is the form contains error, or the method is not the right one

#### Returns

\Symfony\Component\Form\Form —

Form the symfony form object

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### redirectSuccess()

    redirectSuccess()

If success_url param is present in request, follow this link.

#

Inherited from
  \Thelia\Controller\BaseController

## Tags

None found

### CustomerController.php